Changes for LR0.C by Andreas Scherer, January 20, 1995.

@x l.24
#include <stdio.h>
#include "system.h"
#include "machine.h"
#include "new.h"
#include "gram.h"
#include "state.h"
@y
#include <stdio.h>
#include <stdlib.h>
#include "system.h"
#include "machine.h"
#include "ansinew.h"
#include "gram.h"
#include "state.h"
@z

@x l.46
void new_itemsets();
void append_states();
void initialize_states();
void save_shifts();
void save_reductions();
void augment_automaton();
void insert_start_shift();
extern void initialize_closure();
extern void closure();
extern void finalize_closure();
extern void toomany();
@y
void allocate_itemsets(void);
void allocate_storage(void);
void free_storage(void);
void generate_states(void);
void new_itemsets(void);
void append_states(void);
int get_state(int);
core *new_state(int);
void initialize_states(void);
void save_shifts(void);
void save_reductions(void);
void augment_automaton(void);
void insert_start_shift(void);

extern void initialize_closure(int);
extern void closure(short *, int);
extern void finalize_closure(void);
extern void toomany(char *);
@z
